Subject: Re: bug#67045: No way to control location of .aspell.en.prepl from within Emacs

From: Björn Lindqvist <[email-masked]>
Date: Fri, 10 Nov 2023 22:33:17 +0100

I didn't know about that variable and it's not in the manual afaics. I
managed to piece some elisp together using it to set the --repl
option. It works, though I don't think it is a very user-friendly
solution.

Den fre 10 nov. 2023 kl 17:50 skrev Eli Zaretskii <[email-masked]>:
>
> > From: Björn Lindqvist <[email-masked]>
> > Date: Fri, 10 Nov 2023 17:01:04 +0100
> >
> > During operation aspell creates two files; .aspell.en.pws,
> > .aspell.en.prepl ("en" is of course the language code). By default
> > these files are placed in ~/. You can control the location of
> > .aspell.en.pws by setting the ispell-personal-dictionary variable. But
> > you cannot control the location of .aspell.en.prepl.
> >
> > So a new customization variable is needed to control the location of
> > .aspell.en.prepl. Perhaps named
> > ispell-personal-replacement-dictionary. It should be mapped to
> > aspell's --repl option which controls where the personal replacement
> > dictionary is stored.
>
> Can't you customize ispell-extra-args?  In addition,
> ispell-dictionary-alist supports language-specific options, AFAIK.

-- 
mvh/best regards Björn Lindqvist